--- old/usr/src/pkg/manifests/developer-build-onbld.mf	Fri Oct 11 17:19:04 2013
+++ new/usr/src/pkg/manifests/developer-build-onbld.mf	Fri Oct 11 17:19:04 2013
@@ -90,7 +90,6 @@
 file path=opt/onbld/bin/checkpaths mode=0555
 file path=opt/onbld/bin/checkproto mode=0555
 file path=opt/onbld/bin/copyrightchk mode=0555
-file path=opt/onbld/bin/cryptodrop mode=0555
 file path=opt/onbld/bin/cstyle mode=0555
 file path=opt/onbld/bin/ctfcvtptbl mode=0555
 file path=opt/onbld/bin/ctffindmod mode=0555
@@ -97,7 +96,6 @@
 file path=opt/onbld/bin/elfcmp mode=0555
 file path=opt/onbld/bin/elfsigncmp mode=0555
 file path=opt/onbld/bin/find_elf mode=0555
-file path=opt/onbld/bin/findcrypto mode=0555
 file path=opt/onbld/bin/flg.flp mode=0555
 file path=opt/onbld/bin/genoffsets mode=0555
 file path=opt/onbld/bin/get_depend_info mode=0555
@@ -116,8 +114,6 @@
 file path=opt/onbld/bin/onu mode=0555
 file path=opt/onbld/bin/protocmp.terse mode=0555
 file path=opt/onbld/bin/sccscheck mode=0555
-file path=opt/onbld/bin/signit mode=0555
-file path=opt/onbld/bin/signproto mode=0555
 file path=opt/onbld/bin/validate_flg mode=0555
 file path=opt/onbld/bin/validate_paths mode=0555
 file path=opt/onbld/bin/validate_pkg mode=0555
@@ -208,8 +204,6 @@
 file path=opt/onbld/man/man1/nightly.1
 file path=opt/onbld/man/man1/onu.1
 file path=opt/onbld/man/man1/sccscheck.1
-file path=opt/onbld/man/man1/signit.1
-file path=opt/onbld/man/man1/signproto.1
 file path=opt/onbld/man/man1/webrev.1
 file path=opt/onbld/man/man1/which_scm.1
 file path=opt/onbld/man/man1/ws.1
--- old/usr/src/tools/Makefile	Fri Oct 11 17:19:06 2013
+++ new/usr/src/tools/Makefile	Fri Oct 11 17:19:06 2013
@@ -33,7 +33,6 @@
 
 COMMON_SUBDIRS= \
 	codereview \
-	codesign \
 	cscope-fast \
 	ctf \
 	depcheck \
--- old/usr/src/tools/README.tools	Fri Oct 11 17:19:07 2013
+++ new/usr/src/tools/README.tools	Fri Oct 11 17:19:07 2013
@@ -110,16 +110,6 @@
 	Given two filenames, creates a postscript file with the file 
 	differences highlighted.
 
-codesign
-	Tools for signing cryptographic modules using the official
-	Sun release keys stored on a remote signing server. This
-	directory contains signit, a client program for signing
-	files with the signing server; signproto, a shell script
-	that finds crypto modules in $ROOT and signs them using
-	signit; and codesign_server.pl, the code that runs on the
-	server. The codesign_server code is not used on an ON
-	build machine but is kept here for source control purposes.
-
 copyrightchk
 	Checks that files have appropriate SMI copyright notices.
 	Primarily used by wx
--- old/usr/src/tools/codesign/Makefile	Fri Oct 11 17:19:08 2013
+++ /dev/null	Fri Oct 11 17:17:11 2013
@@ -1,54 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-SHFILES= \
-	findcrypto \
-	signproto
-
-PERLFILES= \
-	signit
-
-MAN1FILES= \
-	signit.1 \
-	signproto.1
-
-CLEANFILES = $(SHFILES) $(PERLFILES)
-
-include ../Makefile.tools
-
-$(ROOTONBLDMAN1FILES) := FILEMODE=	644
-
-.KEEP_STATE:
-
-all:	$(SHFILES) $(PERLFILES) $(MAN1FILES)
-
-install: all .WAIT $(ROOTONBLDSHFILES) $(ROOTONBLDPERLFILES) \
-		$(ROOTONBLDMAN1FILES)
-
-clean:
-	$(RM) $(CLEANFILES)
-
-include ../Makefile.targ
-
--- old/usr/src/tools/codesign/codesign_server.pl	Fri Oct 11 17:19:09 2013
+++ /dev/null	Fri Oct 11 17:17:11 2013
@@ -1,240 +0,0 @@
-#!/usr/perl5/bin/perl
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-# Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-# Server program for code signing server
-#
-# This program implements an ssh-based service to add digital
-# signatures to files. The sshd_config file on the server
-# contains an entry like the following to invoke this program:
-#
-#	Subsystem codesign /opt/signing/bin/server
-#
-# The client program sends a ZIP archive of the file to be
-# signed along with the name of a signing credential stored
-# on the server. Each credential is a directory containing
-# a public-key certificate, private key, and a script to
-# perform the appropriate signing operation.
-#
-# This program unpacks the input ZIP archive, invokes the
-# signing script for the specified credential, and sends
-# back an output ZIP archive, which typically contains the
-# (modified) input file but may also contain additional
-# files created by the signing script.
-
-use strict;
-use File::Temp 'tempdir';
-use File::Path;
-
-my $Base = "/opt/signing";
-my $Tmpdir = tempdir(CLEANUP => 1);	# Temporary directory
-my $Session = $$;
-
-#
-# Main program
-#
-
-# Set up
-open(AUDIT, ">>$Base/audit/log");
-$| = 1;	# Flush output on every write
-
-# Record user and client system
-my $user = `/usr/ucb/whoami`;
-chomp($user);
-my ($client) = split(/\s/, $ENV{SSH_CLIENT});
-audit("START User=$user Client=$client");
-
-# Process signing requests
-while (<STDIN>) {
-	if (/^SIGN (\d+) (\S+) (\S+)/) {
-		sign($1, $2, $3);
-	} else {
-		abnormal("WARNING Unknown command");
-	}
-}
-exit(0);
-
-#
-# get_credential(name)
-#
-# Verify that the user is allowed to use the named credential and
-# return the path to the credential directory. If the user is not
-# authorized to use the credential, return undef.
-#
-sub get_credential {
-	my $name = shift;
-	my $dir;
-
-	$dir = "$Base/cred/$2";
-	if (!open(F, "<$dir/private")) {
-		abnormal("WARNING Credential $name not available");
-		$dir = undef;
-	}
-	close(F);
-	return $dir;
-}
-
-#
-# sign(size, cred, path)
-#
-# Sign an individual file.
-#
-sub sign {
-	my ($size, $cred, $path) = @_;
-	my ($cred_dir, $msg);
-
-	# Read input file
-	recvfile("$Tmpdir/in.zip", $size) || return;
-
-	# Check path for use of .. or absolute pathname
-	my @comp = split(m:/:, $path);
-	foreach my $elem (@comp) {
-		if ($elem eq "" || $elem eq "..") {
-			abnormal("WARNING Invalid path $path");
-			return;
-		}
-	}
-
-	# Get credential directory
-	$cred_dir = get_credential($cred) || return;
-
-	# Create work area
-	rmtree("$Tmpdir/reloc");
-	mkdir("$Tmpdir/reloc");
-	chdir("$Tmpdir/reloc");
-
-	# Read and unpack input ZIP archive
-	system("/usr/bin/unzip -qo ../in.zip $path");
-
-	# Sign input file using credential-specific script
-	$msg = `cd $cred_dir; ./sign $Tmpdir/reloc/$path`;
-	if ($? != 0) {
-		chomp($msg);
-		abnormal("WARNING $msg");
-		return;
-	}
-
-	# Pack output file(s) in ZIP archive and return
-	unlink("../out.zip");
-	system("/usr/bin/zip -qr ../out.zip .");
-	chdir($Tmpdir);
-	my $hash = `digest -a md5 $Tmpdir/reloc/$path`;
-	sendfile("$Tmpdir/out.zip", $path) || return;
-
-	# Audit successful signing
-	chomp($hash);
-	audit("SIGN $path $cred $hash");
-}
-
-#
-# sendfile(file, path)
-#
-# Send a ZIP archive to the client. This involves sending
-# an OK SIGN response that includes the file size, followed by
-# the contents of the archive itself.
-#
-sub sendfile {
-	my ($file, $path) = @_;
-	my ($size, $bytes);
-
-	$size = -s $file;
-	if (!open(F, "<$file")) {
-		abnormal("ERROR Internal read error");
-		return (0);
-	}
-	read(F, $bytes, $size);
-	close(F);
-	print "OK SIGN $size $path\n";
-	syswrite(STDOUT, $bytes, $size);
-	return (1);
-}
-
-#
-# recvfile(file, size)
-#
-# Receive a ZIP archive from the client. The caller
-# provides the size argument previously obtained from the 
-# client request.
-#
-sub recvfile {
-	my ($file, $size) = @_;
-	my $bytes;
-	
-	if (!read(STDIN, $bytes, $size)) {
-		abnormal("ERROR No input data");
-		return (0);
-	}
-	if (!open(F, ">$file")) {
-		abnormal("ERROR Internal write error");
-		return (0);
-	}
-	syswrite(F, $bytes, $size);
-	close(F);
-	return (1);
-}
-
-#
-# audit(msg)
-#
-# Create an audit record. All records have this format:
-#	[date] [time] [session] [keyword] [other parameters]
-# The keywords START and END mark the boundaries of a session.
-#
-sub audit {
-	my ($msg) = @_;
-	my ($sec, $min, $hr, $day, $mon, $yr) = localtime(time);
-	my $timestamp = sprintf("%04d-%02d-%02d %02d:%02d:%02d",
-		$yr+1900, $mon+1, $day, $hr, $min, $sec);
-
-	print AUDIT "$timestamp $Session $msg\n";
-}
-
-#
-# abnormal(msg)
-#
-# Respond to an abnormal condition, which may be fatal (ERROR) or
-# non-fatal (WARNING). Send the message to the audit error log
-# and to the client program. Exit in case of fatal errors.
-#
-sub abnormal {
-	my $msg = shift;
-
-	audit($msg);
-	print("$msg\n");
-	exit(1) if ($msg =~ /^ERROR/);
-}
-
-#
-# END()
-#
-# Clean up prior to normal or abnormal exit.
-#
-sub END {
-	audit("END");
-	close(AUDIT);
-	chdir("");	# so $Tmpdir can be removed
-}
--- old/usr/src/tools/codesign/creds	Fri Oct 11 17:19:09 2013
+++ /dev/null	Fri Oct 11 17:17:11 2013
@@ -1,30 +0,0 @@
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
-#
-# The following is a list of regular expressions that are matched against
-# the (temporary) signature on a crypto module created during the build
-# process. The first regular expression that matches is used to select the
-# signing credential to use for the file.
-#
-# Credential name	Regular expression
-# ---------------	------------------
-Crypto_v2               Solaris Cryptographic Framework
--- old/usr/src/tools/codesign/findcrypto.sh	Fri Oct 11 17:19:09 2013
+++ /dev/null	Fri Oct 11 17:17:11 2013
@@ -1,71 +0,0 @@
-#!/bin/ksh
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-
-#
-# Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-# findcrypto cred_file
-#
-# Utility to find cryptographic modules in the proto area.  Prints out
-# one line for each binary, using the form
-#
-#   cred path
-#
-# where "path" identifies the binary (relative to $ROOT), and "cred"
-# says how the binary should get signed.
-#
-# The cred_file argument is the same as for signproto.sh.
-#
-
-# Directories in proto area that may contain crypto objects
-DIRS="platform kernel usr/lib/security"
-
-# Read list of credentials and regular expressions
-n=0
-grep -v "^#" $1 | while read c r
-do
-	cred[$n]=$c
-	regex[$n]=$r
-	(( n = n + 1 ))
-done
-
-# Search proto area for crypto modules
-cd $ROOT
-find $DIRS -type f -print | while read f; do
-	s=`elfsign list -f signer -e $f 2>/dev/null`
-	if [[ $? != 0 ]]; then 
-		continue
-	fi
-	# Determine credential based on signature
-	i=0
-	while [[ i -lt n ]]; do
-		if expr "$s" : ".*${regex[i]}" >/dev/null; then
-			echo "${cred[i]} $f"
-			break
-		fi
-		(( i = i + 1 ))
-	done
-done
-
-exit 0
--- old/usr/src/tools/codesign/signit.1	Fri Oct 11 17:19:09 2013
+++ /dev/null	Fri Oct 11 17:17:11 2013
@@ -1,88 +0,0 @@
-.\"
-.\" CDDL HEADER START
-.\"
-.\" The contents of this file are subject to the terms of the
-.\" Common Development and Distribution License (the "License").
-.\" You may not use this file except in compliance with the License.
-.\"
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-.\" or http://www.opensolaris.org/os/licensing.
-.\" See the License for the specific language governing permissions
-.\" and limitations under the License.
-.\"
-.\" When distributing Covered Code, include this CDDL HEADER in each
-.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-.\" If applicable, add the following below this CDDL HEADER, with the
-.\" fields enclosed by brackets "[]" replaced with your own identifying
-.\" information: Portions Copyright [yyyy] [name of copyright owner]
-.\"
-.\" CDDL HEADER END
-.\"
-.\" Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
-.\" Use is subject to license terms.
-.\"
-.\" ident	"%Z%%M%	%I%	%E% SMI"
-.TH signit 1 "13 June 2007"
-.SH NAME
-.I signit
-\- sign files using code signing server
-.SH SYNOPSIS
-\fBsignit [-q] [-i dir] [-o dir] [-l user]\fP
-.LP
-.SH DESCRIPTION
-.IX "OS-Net build tools" "signit" "" "\fBsignit\fP"
-.LP
-.I signit
-is the client program for use with Sun's code signing server. It
-reads a list of signing credential names and relative pathnames
-from standard input. Each file is read from the input directory,
-sent to the signing server, signed with the specified credential,
-and written to the output directory.
-.LP
-.SH OPTIONS
-.LP
-The following options are supported:
-.TP 4
-.B \-q
-Quiet operation: This option suppresses printing the names of files
-that are signed successfully.
-.LP
-.TP 4
-.B -i \fIdir\fP
-Specifies the base input directory from which the relative pathnames
-of files to be signed are interpreted. If not specified, the
-input directory defaults to the current directory.
-.LP
-.TP 4
-.B -o \fIdir\fP
-Specifies the base output directory to which signed files
-are written.  If not specified, the
-output directory matches the input directory.
-.LP
-.TP 4
-.B -l \fIuser\fP
-Specifies the user login name on the code signing server. If not
-specified, the login name of the user running
-.I signit
-is used.
-.LP
-.SH ENVIRONMENT
-.LP
-.TP 4
-.B CODESIGN_SERVER
-Specifies the hostname or IP address of the code signing server. If
-this variable is not set, it defaults to quill.sfbay.
-.LP
-.SH EXIT STATUS
-.LP
-The following exit status values are returned:
-.IP "\fB0\fR" 4
-.IX Item "0"
-All specified files were signed successfully.
-.IP "\fB1\fR" 4
-.IX Item "1"
-One or more files were not signed successfully.
-.LP
-.SH SEE ALSO
-.LP
-signproto(1)
--- old/usr/src/tools/codesign/signit.pl	Fri Oct 11 17:19:10 2013
+++ /dev/null	Fri Oct 11 17:17:11 2013
@@ -1,244 +0,0 @@
-#!/usr/perl5/bin/perl
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-#
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-# Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-# signit [-q] [-i dir][-o dir] [-l user]
-#
-# Client program for use with code signing server.
-# Reads a list of signing credential names and file pathnames
-# from standard input. Each file is read from the input directory,
-# sent to the signing server, signed with the specified credential, 
-# and written to the output directory.
-#
-# Options:
-#	-q	quiet operation: avoid printing files successfully signed
-#	-i dir	input directory (defaults to current dir)
-#	-o dir	output directory (defautls to input dir)
-#	-l user	user account on signing server (defaults to current user)
-#
-# The CODESIGN_SERVER environment variable can be used to
-# specify the hostname or IP address of the signing server
-# (defaults to quill.sfbay).
-
-use strict;
-use Cwd;
-use File::Temp 'tempdir';
-use Getopt::Std;
-use IPC::Open2;
-
-#
-# Global variables
-#
-my ($Indir, $Outdir);	# Input and output directories (may be the same)
-my $Server;		# Signing server hostname
-my $Quiet;		# Suppress printing each file successfully signed
-my ($pid);		# Process id for ssh client
-my @cred_rules;		# Array of path prefixes and credentials to use
-my $Tmpdir = tempdir(CLEANUP => 1);	# Temporary directory
-my $Warnings = 0;	# Count of warnings returned
-
-
-#
-# Main program
-#
-
-$Server = $ENV{CODESIGN_SERVER} || "quill.sfbay";
-
-# Get command-line arguments
-our($opt_c, $opt_i, $opt_o, $opt_l, $opt_q);
-if (!getopts("i:o:c:l:q")) {
-	die "Usage: $0 [-i dir] [-o dir] [-l user]\n";
-}
-$Quiet = $opt_q;
-
-# Get input/output directories
-$Indir = $opt_i || getcwd();	# default to current dir
-$Outdir = $opt_o || $Indir;	# default to input dir
-$Indir = getcwd() . "/$Indir" if (substr($Indir, 0, 1) ne "/");
-$Outdir = getcwd() . "/$Outdir" if (substr($Outdir, 0, 1) ne "/");
-
-# Ignore SIGPIPE to allow proper error messages
-$SIG{PIPE} = 'IGNORE';
-
-# Create ssh connection to server
-my(@args);
-if (defined($opt_l)) {
-	push @args, "-l", $opt_l;
-}
-push @args, "-s", $Server, "codesign";
-$pid = open2(*SRV_OUT, *SRV_IN, "/usr/bin/ssh", @args) or 
-	die "ERROR Connection to server $Server failed\n";
-select(SRV_IN); $| = 1; select(STDOUT);	# unbuffered writes
-
-# Sign each file with the specified credential
-chdir($Indir);
-while (<>) {
-	my ($cred, $path) = split;
-
-	sign_file($cred, $path);
-}
-exit($Warnings > 0);
-
-#
-# END()
-#
-# Clean up after normal or abnormal exit.
-#
-sub END {
-	my $old_status = $?;
-
-	$? = 0;
-	close(SRV_IN);
-	close(SRV_OUT);
-	waitpid($pid, 0) if ($pid);
-	if ($?) {
-		print STDERR "ERROR Connection to server $Server failed\n";
-		$? = 1;
-	}
-	$? = $old_status if ($? == 0);
-}
-
-#
-# debug(msg)
-#
-# Print debug message to standard error.
-#
-sub debug {
-	print STDERR "### @_";
-}
-
-#
-# check_response(str)
-#
-# Validate response from server. Print messages for warnings or errors,
-# and exit in the case of an error. If the response indicates a successful
-# signing operation, return the size of the output data.
-#
-sub check_response {
-	my ($str) = @_;
-
-	if ($str =~ /^OK SIGN (\d+)/) {
-		return ($1);
-	}
-	elsif ($str =~ /^OK/) {
-		return (0);
-	}
-	elsif ($str =~ /^WARNING/) {
-		print STDERR $str;
-		$Warnings++;
-		return (-1);
-	}
-	elsif ($str =~ /^ERROR/) {
-		print STDERR $str;
-		exit(1);
-	}
-	else {
-		printf STDERR "ERROR Protocol failure (%d)\n", length($str);
-		exit(1);
-	}
-}
-
-#
-# sign_file(credential, filename)
-#
-# Send the file to the server for signing. Package the file into a
-# ZIP archive, send to the server, and extract the ZIP archive that
-# is returned. The input ZIP archive always contains a single file,
-# but the returned archive may contain one or more files.
-#
-sub sign_file {
-	my ($cred, $path) = @_;
-	my ($res, $size);
-
-	$path =~ s:^\./::g; # remove leading "./"
-	unlink("$Tmpdir/in.zip");
-	system("cd $Indir; /usr/bin/zip -q $Tmpdir/in.zip $path");
-
-	sendfile("$Tmpdir/in.zip", "$cred $path") || return;
-
-	$res = <SRV_OUT>;
-	$size = check_response($res);
-	if ($size > 0) {
-		recvfile("$Tmpdir/out.zip", $size) || return;
-		
-		if (system("cd $Outdir; /usr/bin/unzip -qo $Tmpdir/out.zip")) {
-			$Warnings++;
-		} else {
-			print "$cred\t$path\n" unless $Quiet;
-		}
-	}
-}
-
-#
-# sendfile(file, args)
-#
-# Send a ZIP archive file to the signing server. This involves
-# sending a SIGN command with the given arguments, followed by
-# the contents of the archive itself.
-#
-sub sendfile {
-	my ($file, $args) = @_;
-	my ($size, $bytes);
-
-	$size = -s $file;
-	print SRV_IN "SIGN $size $args\n";
-	if (!open(F, "<$file")) {
-		print STDERR "$file: $!\n";
-		return (0);
-	}
-	read(F, $bytes, $size);
-	close(F);
-	if (!syswrite(SRV_IN, $bytes, $size)) {
-		print STDERR "Can't send to server: $!\n";
-		return (0);
-	}
-	return (1);
-}
-
-#
-# recvfile(file, size)
-#
-# Receive a ZIP archive from the signing server. The caller
-# provides the size argument previously obtained from the 
-# server response.
-#
-sub recvfile {
-	my ($file, $size) = @_;
-	my $bytes;
-	
-	if (!read(SRV_OUT, $bytes, $size)) {
-		print STDERR "Can't read from server: $!\n";
-		return (0);
-	}
-	if (!open(F, ">$file")) {
-		print STDERR "$file: $!\n";
-		return (0);
-	}
-	syswrite(F, $bytes, $size);
-	close(F);
-	return (1);
-}
--- old/usr/src/tools/codesign/signproto.1	Fri Oct 11 17:19:10 2013
+++ /dev/null	Fri Oct 11 17:17:11 2013
@@ -1,75 +0,0 @@
-.\"
-.\" CDDL HEADER START
-.\"
-.\" The contents of this file are subject to the terms of the
-.\" Common Development and Distribution License (the "License").
-.\" You may not use this file except in compliance with the License.
-.\"
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-.\" or http://www.opensolaris.org/os/licensing.
-.\" See the License for the specific language governing permissions
-.\" and limitations under the License.
-.\"
-.\" When distributing Covered Code, include this CDDL HEADER in each
-.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-.\" If applicable, add the following below this CDDL HEADER, with the
-.\" fields enclosed by brackets "[]" replaced with your own identifying
-.\" information: Portions Copyright [yyyy] [name of copyright owner]
-.\"
-.\" CDDL HEADER END
-.\"
-.\" Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
-.\" Use is subject to license terms.
-.\"
-.\" ident	"%Z%%M%	%I%	%E% SMI"
-.TH signproto 1 "13 June 2007"
-.SH NAME
-.I signproto
-\- sign ELF objects in proto area
-.SH SYNOPSIS
-\fBsignproto \fIcred_file\fP
-.LP
-.SH DESCRIPTION
-.IX "OS-Net build tools" "signproto" "" "\fBsignproto\fP"
-.LP
-.I signproto
-finds ELF objects in the ON proto area and re-signs them
-using 
-.IR signit (1).
-This operation is normally invoked only for
-release builds, as it replaces the internal development
-signatures with official Sun signatures. The actual signing using
-Sun's private key is performed by a code signing server which
-is accessed via
-.IR signit .
-.LP
-Cryptographic modules are identified by examining the signature
-embedded by
-.IR elfsign (1)
-during the build process. 
-.I signproto
-requires a single command-line argument, which is a file containing
-the mapping between each signing server credential name and the Subject
-Distinguished Name (DN) of the certificate used to 
-sign the ELF file. Each line in the file contains a credential name
-followed by a regular expression. The first regular expression that
-matches the Subject DN embedded in the ELF file determines the 
-credential name passed to
-.I signit
-to re-sign the file.
-.LP
-.SH ENVIRONMENT
-.LP
-.TP 4
-.B CODESIGN_USER
-Login name for the code signing server passed to
-.I signit .
-If this variable is not set, the value in LOGNAME is used instead.
-.LP
-.TP 4
-.B ROOT
-Location of ON proto area containing files to be signed.
-.LP
-.SH SEE ALSO
-.LP
-signit(1), elfsign(1)
--- old/usr/src/tools/codesign/signproto.sh	Fri Oct 11 17:19:10 2013
+++ /dev/null	Fri Oct 11 17:17:11 2013
@@ -1,52 +0,0 @@
-#!/bin/ksh
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-
-#
-# Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-#
-# signproto cred_file
-#
-# Utility to find cryptographic modules in the proto area and
-# sign them using signit. Since the binaries have already been
-# signed (using development keys) during the build process,
-# we determine the correct signing credential to use based on
-# the existing signature. The cred_file argument contains a
-# list of signing server credentials and the corresponding
-# regular expressions to match against the file signatures.
-
-# Get absolute path of current directory; used later to invoke signit
-cd .
-dir=`dirname $0`
-dir=`[[ $dir = /* ]] && print $dir || print $PWD/$dir`
-
-findcrypto $1 | $dir/signit -i $ROOT -l ${CODESIGN_USER:-${LOGNAME}}
-stat=$?
-
-if [ $stat != 0 ]; then
-	echo "ERROR failure in signing operation"
-	exit $stat
-fi
-
-exit 0
--- old/usr/src/tools/env/developer.sh	Fri Oct 11 17:19:10 2013
+++ new/usr/src/tools/env/developer.sh	Fri Oct 11 17:19:10 2013
@@ -97,11 +97,6 @@
 #
 ELF_DATA_BASELINE_DIR="/ws/onnv-gate/usr/src/ELF-data-baseline.$MACH";	export ELF_DATA_BASELINE_DIR
 
-# This is usually just needed if the closed tree is missing, or when
-# building a project gate with the -O (cap oh) flag.
-# ON_CRYPTO_BINS="$PARENT_WS/packages/$MACH/on-crypto.$MACH.tar.bz2"
-# export ON_CRYPTO_BINS
-
 # REF_PROTO_LIST - for comparing the list of stuff in your proto area
 # with. Generally this should be left alone, since you want to see differences
 # from your parent (the gate).
--- old/usr/src/tools/env/gatekeeper.sh	Fri Oct 11 17:19:14 2013
+++ new/usr/src/tools/env/gatekeeper.sh	Fri Oct 11 17:19:14 2013
@@ -106,11 +106,6 @@
 #
 ELF_DATA_BASELINE_DIR="/ws/onnv-gate/usr/src/ELF-data-baseline.$MACH";	export ELF_DATA_BASELINE_DIR
 
-# This is usually just needed if the closed tree is missing, or when
-# building a project gate with the -O (cap oh) flag.
-# ON_CRYPTO_BINS="$PARENT_WS/packages/$MACH/on-crypto.$MACH.tar.bz2"
-# export ON_CRYPTO_BINS
-
 # REF_PROTO_LIST - for comparing the list of stuff in your proto area
 # with. Generally this should be left alone, since you want to see differences
 # between todays build and yesterdays.
--- old/usr/src/tools/env/illumos.sh	Fri Oct 11 17:19:17 2013
+++ new/usr/src/tools/env/illumos.sh	Fri Oct 11 17:19:17 2013
@@ -134,13 +134,11 @@
 export MACH="$(uname -p)"
 
 #
-#  The following two macros are the closed/crypto binaries.  Once
-#  Illumos has totally freed itself, we can remove these references.
+#  The following macro is the closed binaries.  Once
+#  Illumos has totally freed itself, we can remove this reference.
 #
 # Location of encumbered binaries.
 export ON_CLOSED_BINS="$CODEMGR_WS/closed"
-# Location of signed cryptographic binaries.
-export ON_CRYPTO_BINS="$CODEMGR_WS/on-crypto.$MACH.tar.bz2"
 
 # REF_PROTO_LIST - for comparing the list of stuff in your proto area
 # with. Generally this should be left alone, since you want to see differences
--- old/usr/src/tools/scripts/Install.1	Fri Oct 11 17:19:21 2013
+++ new/usr/src/tools/scripts/Install.1	Fri Oct 11 17:19:21 2013
@@ -290,11 +290,6 @@
 .LP
 You can set the following variables in your environment:
 .LP
-ON_CRYPTO_BINS
-.IP
-file containing signed cryptographic binaries.  This is only needed if
-you are not building the closed-source tree.
-.LP
 INSTALL_RC [default: $HOME/.Installrc]
 .IP
 file containing default options for \fBInstall\fR
--- old/usr/src/tools/scripts/Install.sh	Fri Oct 11 17:19:25 2013
+++ new/usr/src/tools/scripts/Install.sh	Fri Oct 11 17:19:25 2013
@@ -336,79 +336,6 @@
 }
 
 #
-# Unpack the crypto tarball into the given tree, then massage the
-# tree so that the binaries are all in objNN or debugNN directories.
-#
-function unpack_crypto {
-	typeset tarfile=$1
-	typeset ctop=$2
-	[ -d "$ctop" ] || fail "Can't create tree for crypto modules."
-
-	[ "$VERBOSE" = "V" ] && echo "unpacking crypto tarball into $ctop..."
-	bzcat "$tarfile" | (cd "$ctop"; tar xf -)
-
-	typeset root="$ctop/proto/root_$MACH"
-	[ $OBJD = obj ] && root="$ctop/proto/root_$MACH-nd"
-	[ -d "$root" ] || fail "Can't unpack crypto tarball."
-
-	(cd "$root"; for d in platform kernel usr/kernel; do
-		[ ! -d $d ] && continue
-		find $d -type f -print
-	done) | while read file; do
-		typeset dir=$(dirname "$file")
-		typeset base=$(basename "$file")
-		typeset type=$(basename "$dir")
-		if [ "$type" = amd64 ]; then
-			newdir="$dir/${OBJD}64"
-		elif [ "$type" = sparcv9 ]; then
-			newdir="$dir/${OBJD}64"
-		else
-			newdir="$dir/${OBJD}32"
-		fi
-		mkdir -p "$root/$newdir"
-		[ "$VERBOSE" = "V" ] && echo "mv $file $newdir"
-		mv "$root/$file" "$root/$newdir"
-	done
-}
-
-#
-# usage: fixcrypto listfile ctop
-# Massage entries in listfile for crypto modules, so that they point
-# into ctop.
-#
-function fixcrypto {
-	typeset listfile=$1
-	typeset ctop=$2
-
-	typeset ccontents=/tmp/crypto-toc$$
-	find "$ctop" -type f -print > $ccontents
-	typeset root=root_$MACH
-	[ "$OBJD" = obj ] && root=root_$MACH-nd
-
-	grep -v ^MOD $listfile > $listfile.no-mod
-	grep ^MOD $listfile | while read tag srcdir module targdir size impl; do
-		#
-		# We don't just grep for ${OBJD}$size/$module because
-		# there can be generic and platform-dependent versions
-		# of a module.
-		#
-		newsrcfile=$(grep -w $root/$targdir/${OBJD}$size/$module $ccontents)
-		if [ -n "$newsrcfile" ]; then
-			# srcdir doesn't include final objNN or debugNN
-			echo $tag $module $targdir $size $impl \
-			    $(dirname $(dirname "$newsrcfile"))
-		else
-			echo $tag $module $targdir $size $impl $srcdir
-		fi
-	done > $listfile.mod
-	cat $listfile.mod $listfile.no-mod > $listfile
-
-	rm -f $listfile.mod
-	rm -f $listfile.no-mod
-	rm -f $ccontents
-}
-
-#
 # Copy a module, or create a link, as needed.
 #
 
@@ -542,24 +469,6 @@
 	    egrep "^MOD|^CONF|^LINK|^SYMLINK" > $modlist
 	[ "$VERBOSE" = "V" ] && cat $modlist
 	check_modlist $modlist
-	if [ -n "$ON_CRYPTO_BINS" ]; then
-		cryptotar="$ON_CRYPTO_BINS"
-		if [ "$OBJD" = obj ]; then
-			isa=$(uname -p)
-			cryptotar=$(echo "$ON_CRYPTO_BINS" |
-			    sed -e s/.$isa.tar.bz2/-nd.$isa.tar.bz2/)
-		fi
-		[ -f "$cryptotar" ] || fail "crypto ($cryptotar) doesn't exist"
-		cryptotree=$(mktemp -d /tmp/crypto.XXXXXX)
-		[ -n "$cryptotree" ] || fail "can't create tree for crypto"
-		unpack_crypto "$cryptotar" "$cryptotree"
-		#
-		# fixcrypto must come before fixglom, because
-		# fixcrypto uses the unglommed path to find things in
-		# the unpacked crypto.
-		#
-		fixcrypto $modlist "$cryptotree"
-	fi
 	if [ "$GLOM" = "yes" ]; then
 		fixglom $modlist $GLOMNAME
 		filtimpl $modlist $IMPL
@@ -734,11 +643,6 @@
 	srctrees=$SRC
 	if [[ -d $SRC/../closed && "$CLOSED_IS_PRESENT" != no ]]; then
 		srctrees="$srctrees $SRC/../closed"
-	else
-		if [ -z "$ON_CRYPTO_BINS" ]; then
-			echo "Warning: ON_CRYPTO_BINS not set; pre-signed" \
-			    "crypto not provided."
-		fi
 	fi
 	if [[ $WANT64 = "yes" ]] ; then
 		# kmdbmod for sparc and x86 are built and installed
@@ -872,7 +776,6 @@
 	save_state
 	rm -rf $modstatedir
 	rm -f $modlist
-	[ -n "$cryptotree" ] && rm -rf "$cryptotree"
 	verbose "Install complete"
 	exit 0
 }
--- old/usr/src/tools/scripts/Makefile	Fri Oct 11 17:19:29 2013
+++ new/usr/src/tools/scripts/Makefile	Fri Oct 11 17:19:29 2013
@@ -33,7 +33,6 @@
 	bringovercheck \
 	checkpaths \
 	checkproto \
-	cryptodrop \
 	cstyle \
 	elfcmp \
 	flg.flp \
--- old/usr/src/tools/scripts/bindrop.sh	Fri Oct 11 17:19:32 2013
+++ new/usr/src/tools/scripts/bindrop.sh	Fri Oct 11 17:19:32 2013
@@ -24,9 +24,7 @@
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 #
 # Create an encumbered binaries tarball from a full build proto area,
-# less the contents of an OpenSolaris proto area.  Special handling
-# for crypto binaries that need to be signed by Sun Release
-# Engineering.
+# less the contents of an OpenSolaris proto area.
 #
 
 usage="bindrop [-n] basename"
@@ -110,23 +108,11 @@
 (cd "${ROOT}${suffix}-closed"; tar cf - .) | (cd "$tmpdir/closed/$rootdir"; tar xpf -)
 
 #
-# Remove internal ON crypto signing certs
-#
-delete="
-	etc/certs/SUNWosnetSE
-	etc/certs/SUNWosnetSolaris
-	etc/crypto/certs/SUNWosnet
-	etc/crypto/certs/SUNWosnetLimited
-	etc/crypto/certs/SUNWosnetCF
-	etc/crypto/certs/SUNWosnetCFLimited
-	"
-
-#
 # Remove miscellaneous files that we don't want to ship.
 #
 
 # SUNWsvvs (SVVS test drivers).
-delete="$delete
+delete="
 	usr/include/sys/svvslo.h
 	usr/include/sys/tidg.h
 	usr/include/sys/tivc.h
@@ -253,13 +239,6 @@
 rm "$needdirs"
 
 #
-# Exclude signed crypto binaries; they are delivered in their
-# own tarball.
-#
-ROOT="$tmpdir/closed/$rootdir" findcrypto "$SRC/tools/codesign/creds" |
-    awk '{ print $2 }' | (cd "$tmpdir/closed/$rootdir"; xargs rm -f)
-
-#
 # Add binary license files.
 #
 
--- old/usr/src/tools/scripts/cryptodrop.sh	Fri Oct 11 17:19:34 2013
+++ /dev/null	Fri Oct 11 17:17:11 2013
@@ -1,162 +0,0 @@
-#!/bin/ksh -p
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-
-#
-# Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-
-#
-# Create a tarball with crypto binaries.
-#
-
-usage="cryptodrop [-n] result-path"
-
-isa=`uname -p`
-
-function fail {
-	print -u2 "cryptodrop: $@"
-	exit 1
-}
-
-[[ -n "$ROOT" ]] || fail "ROOT must be set."
-# Verify below (after adjusting for -n) that $ROOT exists, is a directory.
-[[ -n "$SRC" ]] || fail "SRC must be set."
-[[ -d "$SRC" ]] || fail "SRC ($SRC) is not a directory."
-[[ -n "$CODEMGR_WS" ]] || fail "CODEMGR_WS must be set."
-[[ -d "$CODEMGR_WS" ]] || fail "CODEMGR_WS ($CODEMGR_WS) is not a directory."
-
-#
-# Wrapper over cpio to filter out "NNN blocks" messages.
-#
-function cpio_filt {
-	integer cpio_stat
-
-	cpio "$@" > "$cpio_log" 2>&1
-	cpio_stat=$?
-	cat "$cpio_log" | awk '$0 !~ /[0-9]+ blocks/ { print }'
-	return $cpio_stat
-}
-
-#
-# Create the README from boilerplate and the contents of the closed
-# binary tree.
-#
-# usage: mkreadme targetdir
-#
-function mkreadme {
-	typeset targetdir="$1"
-	typeset readme="README.CRYPTO-BINARIES.$isa"
-
-	sed -e s/@ISA@/$isa/ -e s/@DELIVERY@/CRYPTO-BINARIES/ \
-	    "$SRC/tools/opensolaris/README.binaries.tmpl" > "$targetdir/$readme"
-	(cd "$targetdir"; find "$rootdir" -type f -print | \
-	    sort >> "$targetdir/$readme")
-}
-
-nondebug=n
-while getopts n flag; do
-	case $flag in
-	n)
-		nondebug=y
-		if [ "$MULTI_PROTO" = yes ]; then
-			export ROOT="$ROOT-nd"
-		fi
-		;;
-	?)
-		print -u2 "usage: $usage"
-		exit 1
-		;;
-	esac
-done
-shift $(($OPTIND - 1))
-
-if [[ $# -ne 1 ]]; then
-	print -u2 "usage: $usage"
-	exit 1
-fi
-[[ -d "$ROOT" ]] || fail "ROOT ($ROOT) is not a directory."
-
-tarfile="$1"
-
-if [[ "$nondebug" = n ]]; then
-	rootdir="root_$isa"
-else
-	rootdir="root_$isa-nd"
-fi
-
-tmpdir=$(mktemp -dt cryptodropXXXXX)
-[[ -n "$tmpdir" ]] || fail "could not create temporary directory."
-tmproot="$tmpdir/proto/$rootdir"
-mkdir -p "$tmproot" || exit 1
-cpio_log="$tmpdir/cpio.log"
-filelist="$tmpdir/files"
-
-#
-# Copy the crypto binaries into a temp directory.  This is a bit messy
-# because we want to preserve the permissions of intermediate
-# directories without including all the contents of those
-# directories.
-#
-
-# Echo all the parent directories of the given file.
-function alldirs {
-	d=$(dirname "$1")
-	while [ "$d" != . ]; do
-		echo $d
-		d=$(dirname "$d")
-	done
-}
-
-findcrypto "$SRC/tools/codesign/creds" | awk '{ print $2 }' > "$filelist"
-#
-# Both alldirs and the cpio -p invocation assume that findcrypto only
-# produces relative paths.
-#
-for f in $(cat "$filelist"); do
-	if [[ "$f" = /* ]]; then
-		fail "findcrypto produced absolute path ($f)"
-	fi
-done
-for f in $(cat "$filelist"); do
-	echo "$f"
-	alldirs "$f"
-done | sort -u | (cd "$ROOT"; cpio_filt -pdm "$tmproot")
-[[ $? -eq 0 ]] || fail "could not copy crypto files."
-
-rm -f "$cpio_log" "$filelist"
-
-#
-# Insert binary license files.
-#
-cp -p "$SRC/tools/opensolaris/BINARYLICENSE.txt" "$tmpdir/proto" || \
-    fail "could not add BINARYLICENSE.txt"
-mkreadme "$tmpdir/proto" || exit 1
-cp -p "$CODEMGR_WS/THIRDPARTYLICENSE.ON-CRYPTO" "$tmpdir/proto" || \
-    fail "could not add THIRDPARTYLICENSE.ON-CRYPTO."
-
-(cd "$tmpdir"; tar cf "$tarfile" proto) || fail "could not create $tarfile."
-bzip2 -f "$tarfile" || fail "could not compress $tarfile".
-
-rm -rf "$tmpdir"
-
-exit 0
--- old/usr/src/tools/scripts/nightly.1	Fri Oct 11 17:19:35 2013
+++ new/usr/src/tools/scripts/nightly.1	Fri Oct 11 17:19:35 2013
@@ -250,12 +250,8 @@
 .B Miscellaneous options
 .TP 10
 .B \-O
-generate deliverables for OpenSolaris.  Tarballs containing signed
-cryptographic binaries and binaries
-of closed-source components are put in $CODEMGR_WS.  (The
-cryptographic tarballs are copies of the
-ones that are put in the parent directory of
-$PKGARCHIVE.)
+generate deliverables for OpenSolaris.  Tarballs containing binaries
+of closed-source components are put in $CODEMGR_WS.
 .TP 10
 .B \-V VERS
 set the build version string to VERS, overriding VERSION
@@ -548,20 +544,6 @@
 build.
 .LP
 .RE
-.B ON_CRYPTO_BINS
-.RS 5
-This is the path to a compressed tarball that contains debug
-cryptographic binaries that have been signed to allow execution
-outside of Sun, e.g., $PARENT_WS/packages/$MACH/on-crypto.$MACH.bz2.
-.I nightly
-will automatically adjust the path for non-debug builds.  This tarball
-is needed if the closed-source tree is not present.  Also, it is
-usually needed when generating OpenSolaris deliverables from a project
-workspace.  This is because most projects do not have access to the
-necessary key and certificate that would let them sign their own
-cryptographic binaries.
-.LP
-.RE
 .B CHECK_PATHS
 .RS 5
 Normally, nightly runs the 'checkpaths' script to check for
--- old/usr/src/tools/scripts/nightly.sh	Fri Oct 11 17:19:37 2013
+++ new/usr/src/tools/scripts/nightly.sh	Fri Oct 11 17:19:37 2013
@@ -554,28 +554,6 @@
 	fi
 
 	#
-	#	Re-sign selected binaries using signing server
-	#	(gatekeeper builds only)
-	#
-	if [ -n "$CODESIGN_USER" -a "$this_build_ok" = "y" ]; then
-		echo "\n==== Signing proto area at `date` ====\n" >> $LOGFILE
-		signing_file="${TMPDIR}/signing"
-		rm -f ${signing_file}
-		export CODESIGN_USER
-		signproto $SRC/tools/codesign/creds 2>&1 | \
-			tee -a ${signing_file} >> $LOGFILE
-		echo "\n==== Finished signing proto area at `date` ====\n" \
-		    >> $LOGFILE
-		echo "\n==== Crypto module signing errors ($LABEL) ====\n" \
-		    >> $mail_msg_file
-		egrep 'WARNING|ERROR' ${signing_file} >> $mail_msg_file
-		if (( $? == 0 )) ; then
-			build_ok=n
-			this_build_ok=n
-		fi
-	fi
-
-	#
 	#	Building Packages
 	#
 	if [ "$p_FLAG" = "y" -a "$this_build_ok" = "y" ]; then
